FROM xena/go-mini:1.9.2

ENV CGO_ENABLED=0

RUN apk add git \
 && go download

COPY . /root/go/src/git.xeserv.us/xena/route

RUN cd /root/go/src/git.xeserv.us/xena/route \
&& go run ./cmd/mage/main.go build \
&& rm -rf /root/go/pkg /root/go/bin
